=== debian/changelog ===
zmat (0.9.8+ds-3) unstable; urgency=medium

  * Team upload
  * Fix libzmat.so symlink (Closes: #985515)

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 29 Mar 2021 17:58:31 +0200

zmat (0.9.8+ds-2) unstable; urgency=medium

  * Team upload

  * d/watch: Bump version to 4

 -- Rafael Laboissière <rafael@debian.org>  Fri, 13 Nov 2020 15:32:24 -0300

zmat (0.9.8+ds-1) unstable; urgency=medium

  * Initial release (Closes: #962603)

 -- Qianqian Fang <fangqq@gmail.com>  Mon, 21 Sep 2020 11:54:20 -0300
