=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE =1

OCTDIR=$(shell octave-config --print LOCALOCTFILEDIR)

%:
	+dh $@

execute_before_dh_auto_clean:
	$(MAKE) -C src clean
	$(RM) -rf src/makefile test/c/makefile test/f90/makefile

override_dh_auto_configure:
	cp src/Makefile src/makefile
	cp test/c/Makefile test/c/makefile
	cp test/f90/Makefile test/f90/makefile
	sed -i -e 's/lz4\/lz4 lz4\/lz4hc//g' src/makefile
	sed -i -e 's/-lz$$/-lz -llz4/g' test/c/makefile test/f90/makefile

override_dh_auto_build:
	$(MAKE) -C src lib
	$(MAKE) -C src oct USERLINKOPT="-lz -llz4"
	$(MAKE) -C src dll USERLINKOPT="-lz -llz4"

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog.txt

override_dh_auto_install:
	install -d debian/libzmat1-dev/usr/include;
	install include/zmatlib.h debian/libzmat1-dev/usr/include;
	install fortran90/zmatlib.f90 debian/libzmat1-dev/usr/include;

	set -e; arch=$$(dpkg-architecture -qDEB_HOST_MULTIARCH); \
	install -d debian/libzmat1/usr/lib/$$arch; \
	install -d debian/libzmat1-dev/usr/lib/$$arch; \
	mv lib/libzmat.so debian/libzmat1/usr/lib/$$arch/libzmat.so.1; \
	mv lib/libzmat.a debian/libzmat1/usr/lib/$$arch/libzmat.a; \
	ln -sf libzmat.so.1 debian/libzmat1-dev/usr/lib/$$arch/libzmat.so
	
	chmod -x zipmat.mex
	dh_install -poctave-zmat zipmat.mex $(OCTDIR)/zmat
	dh_install -poctave-zmat zmat.m $(OCTDIR)/zmat
	dh_octave_substvar -poctave-zmat
