## zmat 0.9.9%2Bds.1

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,22 @@
 Uploaders: Qianqian Fang <fangqq@gmail.com>
 Section: libs
 Priority: optional
-Standards-Version: 4.5.0
-Build-Depends: debhelper-compat (= 13), liblz4-dev, zlib1g-dev, dh-octave
-Homepage: https://github.com/fangq/zmat
+Standards-Version: 4.7.2
+Build-Depends: debhelper-compat (= 13),
+               dh-octave,
+               libzstd-dev,
+               liblz4-dev,
+               libblosc2-dev
+Homepage: https://github.com/NeuroJSON/zmat
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/zmat.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/zmat
-Rules-Requires-Root: no
 
 Package: libzmat1
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Provides: libzmat1
-Description: compression library - runtime
+Description: compression library - shared library object
  ZMat is a portable C library to enable easy-to-use data compression
  and decompression (such as zlib/gzip/lzma/lzip/lz4/lz4hc algorithms)
  and base64 encoding/decoding in an application.
@@ -25,15 +28,20 @@
  the highest compression ratio; zlib/gzip have the best balance
  between speed and compression time.
 
-Package: libzmat1-dev
+Package: libzmat-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends: libzmat1 (= ${binary:Version}), ${misc:Depends}
-Provides: libzmat1-dev
-Description: compression library - development
- The libzmat1-dev package provides the headers files and tools you may need to
- develop applications using libzmat1.
+Provides: libzmat-dev
+Breaks: libzmat1 (<< 0.9.9+ds.1-4)
+Replaces: libzmat1 (<< 0.9.9+ds.1-4)
+Description: compression library - development files
+ ZMat is a portable C library to enable easy-to-use data compression
+ and decompression (such as zlib/gzip/lzma/lzip/lz4/lz4hc algorithms)
+ and base64 encoding/decoding in an application.
+ .
+ This package provides the development files.
 
 Package: octave-zmat
 Section: science
@@ -52,7 +60,7 @@
 Package: matlab-zmat
 Section: contrib/science
 Architecture: all
-Depends: libzmat1-dev (>= ${source:Version}), matlab-support, ${misc:Depends}
+Depends: libzmat-dev (>= ${source:Version}), matlab-support, ${misc:Depends}
 Description: in-memory data compression for MATLAB
  ZMat is a portable mex function to enable zlib/gzip/lzma/lzip/lz4/lz4hc
  based data compression/decompression and base64 encoding/decoding support
